Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.boot
Class BootstrapApp

    java.lang.Object
      rice.pastry.client.PastryAppl
          rice.pastry.boot.BootstrapApp

All Implemented Interfaces:
  LivenessListener<NodeHandle>, Bootstrapper

Direct Known Subclasses:
  PNSBootstrapApp

    public class BootstrapApp

extends PastryAppl
implements Bootstrapper, LivenessListener<NodeHandle>

Simple bootstrapper. Just tries teh bootaddresses in order.

Author:
  Jeff Hoye

Field Summary

Fields inherited from class rice.pastry.client.PastryAppl
`address, deserializer, instance, logger, options, receiver, thePastryNode`

Fields inherited from interface org.mpisws.p2p.transport.liveness.LivenessListener
`LIVENESS_ALIVE, LIVENESS_DEAD, LIVENESS_DEAD_FOREVER, LIVENESS_SUSPECTED`

Constructor Summary
`BootstrapApp(PastryNode pn, LivenessProvider<NodeHandle> live)`

Method Summary
`void` | `boot(java.util.Collection bootaddresses)`
`void` | `livenessChanged(NodeHandle i, int val, java.util.Map<java.lang.String,java.lang.Integer> options)` Called when the liveness changes.
`void` | `messageForAppl(Message msg)` Called by pastry when a message arrives for this application.

Methods inherited from class rice.pastry.client.PastryAppl
`accept, canReceiveSocket, connect, deliverWhenNotReady, destroy, enrouteMessage, finishReceiveSocket, getAddress, getDeserializer, getLeafSet, getNodeHandle, getNodeId, getRoutingTable, isClosest, leafSetChange, notifyReady, receiveMessage, receiveMessageInternal, register, routeMsg, routeMsgDirect, routeSetChange, setDeserializer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BootstrapApp

    public BootstrapApp(PastryNode pn,
                        LivenessProvider<NodeHandle> live)

Method Detail

### messageForAppl

    public void messageForAppl(Message msg)

  Description copied from class: `PastryAppl`
  Called by pastry when a message arrives for this application.

  Specified by:
    `messageForAppl` in class `PastryAppl`
  Parameters:
    `msg` - the message that is arriving.

### boot

    public void boot(java.util.Collection bootaddresses)

  Specified by:
    `boot` in interface `Bootstrapper`

### livenessChanged

    public void livenessChanged(NodeHandle i,
                                int val,
                                java.util.Map<java.lang.String,java.lang.Integer> options)

  Description copied from interface: `LivenessListener`
  Called when the liveness changes.

  Specified by:
    `livenessChanged` in interface `LivenessListener<NodeHandle>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.